# std::chrono::year_month_weekday_last::year, std::chrono::year_month_weekday_last::month, std::chrono::year_month_weekday_last::weekday, std::chrono::year_month_weekday_last::weekday_last

From cppreference.com
< cpp‎ | chrono‎ | year month weekday last

constexpr std::chrono::year year() const noexcept; |  | (since C++20)
constexpr std::chrono::month month() const noexcept; |  | (since C++20)
constexpr std::chrono::weekday weekday() const noexcept; |  | (since C++20)
constexpr std::chrono::weekday_last weekday_last() const noexcept; |  | (since C++20)

Retrieves the field values stored in this `year_month_weekday_last` object.

### Return values

1) Returns the stored std::chrono::year value.
2) Returns the stored std::chrono::month value.
3) Returns the stored std::chrono::weekday value.
4) std::chrono::weekday_last(weekday()).
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year_month_weekday_last/accessors&oldid=104828"